    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.StringTokenizer

    java.lang.Object
       |
       +----java.util.StringTokenizer

public class StringTokenizer
extends Object
implements Enumeration

The string tokenizer class allows an application to break a string into tokens. The tokenization method is much simpler than the one used by the `StreamTokenizer` class. The `StringTokenizer` methods do not distinguish among identifiers, numbers, and quoted strings, nor do they recognize and skip comments.

The set of delimiters (the characters that separate tokens) may be specified either at creation time or on a per-token basis.

An instance of `StringTokenizer` behaves in one of two ways, depending on whether it was created with the `returnTokens` flag having the value `true` or `false`:

- If the flag is `false`, delimiter characters serve to separate tokens. A token is a maximal sequence of consecutive characters that are not delimiters.
- If the flag is `true`, delimiter characters are considered to be tokens. A token is either one delimiter character, or a maximal sequence of consecutive characters that are not delimiters.

The following is one example of the use of the tokenizer. The code:

>          StringTokenizer st = new StringTokenizer("this is a test");
>          while (st.hasMoreTokens()) {
>              println(st.nextToken());
>          }

prints the following output:

>          this
>          is
>          a
>          test

See Also:
  StreamTokenizer

##

StringTokenizer(String)
  Constructs a string tokenizer for the specified string.
StringTokenizer(String, String)
  Constructs a string tokenizer for the specified string.
StringTokenizer(String, String, boolean)
  Constructs a string tokenizer for the specified string.

##

countTokens()
  Calculates the number of times that this tokenizer's `nextToken` method can be called before it generates an exception.
hasMoreElements()
  Returns the same value as the `hasMoreTokens` method.
hasMoreTokens()
  Tests if there are more tokens available from this tokenizer's string.
nextElement()
  Returns the same value as the `nextToken` method, except that its declared return value is `Object` rather than `String`.
nextToken()
  Returns the next token from this string tokenizer.
nextToken(String)
  Returns the next token in this string tokenizer's string.

##

StringTokenizer

     public StringTokenizer(String str,
                            String delim,
                            boolean returnTokens)

  Constructs a string tokenizer for the specified string. The characters in the `delim` argument are the delimiters for separating tokens.

  If the `returnTokens` flag is `true`, then the delimiter characters are also returned as tokens. Each delimiter is returned as a string of length one. If the flag is `false`, the delimiter characters are skipped and only serve as separators between tokens.

  Parameters:
    str - a string to be parsed.
    delim - the delimiters.
    returnTokens - flag indicating whether to return the delimiters as tokens.

StringTokenizer

     public StringTokenizer(String str,
                            String delim)

  Constructs a string tokenizer for the specified string. The characters in the `delim` argument are the delimiters for separating tokens.

  Parameters:
    str - a string to be parsed.
    delim - the delimiters.

StringTokenizer

     public StringTokenizer(String str)

  Constructs a string tokenizer for the specified string. The tokenizer uses the default delimiter set, which is `"\t\n\r"`: the space character, the tab character, the newline character, and the carriage-return character.

  Parameters:
    str - a string to be parsed.

##

hasMoreTokens

     public boolean hasMoreTokens()

  Tests if there are more tokens available from this tokenizer's string.

  Returns:
    `true` if there are more tokens available from this tokenizer's string; `false` otherwise.

nextToken

     public String nextToken()

  Returns the next token from this string tokenizer.

  Returns:
    the next token from this string tokenizer.
  Throws: NoSuchElementException
    if there are no more tokens in this tokenizer's string.

nextToken

     public String nextToken(String delim)

  Returns the next token in this string tokenizer's string. The new delimiter set remains the default after this call.

  Parameters:
    delim - the new delimiters.
  Returns:
    the next token, after switching to the new delimiter set.
  Throws: NoSuchElementException
    if there are no more tokens in this tokenizer's string.

hasMoreElements

     public boolean hasMoreElements()

  Returns the same value as the `hasMoreTokens` method. It exists so that this class can implement the `Enumeration` interface.

  Returns:
    `true` if there are more tokens; `false` otherwise.
  See Also:
    Enumeration, hasMoreTokens

nextElement

     public Object nextElement()

  Returns the same value as the `nextToken` method, except that its declared return value is `Object` rather than `String`. It exists so that this class can implement the `Enumeration` interface.

  Returns:
    the next token in the string.
  Throws: NoSuchElementException
    if there are no more tokens in this tokenizer's string.
  See Also:
    Enumeration, nextToken

countTokens

     public int countTokens()

  Calculates the number of times that this tokenizer's `nextToken` method can be called before it generates an exception.

  Returns:
    the number of tokens remaining in the string using the current delimiter set.
  See Also:
    nextToken

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.